Skip to main content

Update a transaction status (ONLY AVAILABLE FOR DEVELOPMENT ENVIRONMENT)

PUT 

/api/transactions

deprecated

This endpoint has been deprecated and may be replaced or removed in future versions of the API.

This endpoint is only meant for development environment. Update the status of a transaction to

 *     trigger the receipt of webhooks for testing purposes.

Request

Body

required
    transaction_uuid transaction_uuid (string)required

    Reference of the Transaction

    status status (string)required

    Possible values: [pending, paid, awaiting, on_hold, failed]

    Transaction status

Responses

Successful operation

Schema
    transaction_uuid transaction_uuid (string)

    Reference of the QrCode for conciliation

    status status (string)

    Possible values: [pending, paid, paid_by_third_party, failed, awaiting, payment rejected, paid_without_qrcode, refund_received]

     When column transaction_type has value TRANSACTION:
    paid: deposit received and approved
    failed: failed to generate a QrCode
    pending: qrCode has yet to be paid
    paid_by_third_party: deposit received but rejected and will be refunded since it came from a third-party payer
    payment rejected: deposit received but rejected and will be refunded due business rules
    paid_without_qrcode: deposit received but rejected and will be refunded since it's not linked to a QrCode

    When column transaction_type has value WITHDRAW:
    paid: withdrawal approved and completed
    failed: withdrawal failed either due to business rules or could no be completed
    pending: withdrawal is pending its final status

    When column transaction_type has value REFUND:
    paid: refund approved and completed
    failed: refund failed either due to business rules or could no be completed
    pending: refund is pending its final status
    awaiting: refund is in the queue
    status_reason status_reason (string)

    Transaction status reason

    value value (string)

    Value of the transaction

    transaction_type transaction_type (string)

    Possible values: [transaction, withdraw, refund]

    Transaction type

    merchant_id merchant_id (string)

    Merchant's ID for conciliation

    cpf_cnpj cpf_cnpj (string)

    Document of the person who paid or received (CPF or CNPJ)

    costumer_name costumer_name (string)

    Costumer's name

    costumer_email costumer_email (string)

    Costumer's email

    end_to_end_id end_to_end_id (string)

    Transaction's pix end_to_end_id

    payment_date payment_date (string)

    Date when the transaction was confirmed as paid

    created_at created_at (string)

    Date when the transaction was created

    updated_at updated_at (string)

    Date when the transaction was last updated

Loading...